List merchants
curl --request GET \
--url https://api.sbx.moduluslabs.io/reports/v1/merchants \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.sbx.moduluslabs.io/reports/v1/merchants"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.sbx.moduluslabs.io/reports/v1/merchants', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.sbx.moduluslabs.io/reports/v1/merchants",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-API-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.sbx.moduluslabs.io/reports/v1/merchants"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-API-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.sbx.moduluslabs.io/reports/v1/merchants")
.header("X-API-Key", "<api-key>")
.asString();using RestSharp;
var options = new RestClientOptions("https://api.sbx.moduluslabs.io/reports/v1/merchants");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("X-API-Key", "<api-key>");
var response = await client.GetAsync(request);
Console.WriteLine("{0}", response.Content);
{
"data": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>"
}
],
"pagination": {
"page_size": 20,
"has_more": true,
"next_cursor": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}Transaction Reporting API
List Merchants
Returns merchants with stable UUIDs, scoped to the authenticated entity
GET
/
v1
/
merchants
List merchants
This endpoint returns merchants visible to your API key. Results are sorted alphabetically by name.
Merchant IDs
Each merchant has a stable UUID that remains consistent across API calls. Use this ID with themerchant_id filter on /v1/transactions to get all transactions for a merchant.
# 1. Get merchants
GET /v1/merchants
# Response: { "data": [{"id": "57846d47-...", "name": "Coffee Shop"}], "pagination": {...} }
# 2. Use the ID to filter transactions
GET /v1/transactions?merchant_id=57846d47-d196-5c48-a881-4003b1d5aa98
Next Steps
List Transactions
Filter transactions by merchant_id
List Branches
Get branches for a specific merchant
Authorizations
API key enabled for Transaction Reporting. Send the complete value exactly as issued.
Query Parameters
Number of results per page. Integer 1 to 100 (default 20). Values above 100 are clamped to 100.
Required range:
1 <= x <= 100Opaque cursor token from a previous response's next_cursor field.
Was this page helpful?